Update environment
Update an environment. Updating an environment uses a JSON patch representation of the desired changes. To learn more, read Updates.
To update fields in the environment object that are arrays, set the path to the name of the field and then append /<array index>. Using /0 appends to the beginning of the array.
Approval settings
This request only returns the approvalSettings and resourceApprovalSettings if the approvals feature is enabled.
Only the canReviewOwnRequest, canApplyDeclinedChanges, minNumApprovals, required and requiredApprovalTagsfields are editable.
If you try to patch the environment by setting both required and requiredApprovalTags, the request fails and an error appears. You can specify either required approvals for all flags in an environment or those with specific tags, but not both.
Authorizations
Path Parameters
The project key
The environment key
Body
Response
Environment response
The location and content type of related resources
The ID for the environment. Use this as the client-side ID for authorization in some client-side SDKs, and to associate LaunchDarkly environments with CDN integrations in edge SDKs.
"57be1db38b75bf0772d11384"
A project-unique key for the new environment
"environment-key-123abc"
A human-friendly name for the new environment
"My Environment"
The SDK key for the environment. Use this for authorization in server-side SDKs.
"sdk-xxx"
The mobile key for the environment. Use this for authorization in mobile SDKs.
"mob-xxx"
The color used to indicate this environment in the UI
"F5A623"
The default time (in minutes) that the PHP SDK can cache feature flag rules locally
5
Ensures that one end user of the client-side SDK cannot inspect the variations for another end user
true
The initial value of trackEvents for flags created in this environment. Does not affect existing flags. Required for Data Export, but doesn't enable Data Export on its own.
false
Whether members who modify flags and segments through the LaunchDarkly user interface are required to add a comment
true
Whether members who modify flags and segments through the LaunchDarkly user interface are required to confirm those changes
true
A list of tags for this environment
Whether the environment is critical
true
Details about the approval settings for flags in this environment
Details about the approval settings for other resources in this environment, organized by resource kind (for example, "aiconfig" and "segment")